Subject: RE: [Sip] Re: [Simple] -05 MESSAGE and Expires header

From: [email-masked]
Date: Tue, 23 Jul 2002 09:28:50 +0300

So, a MESSAGE with Expires: 10 means it has 10 seconds before it's stale while a MESSAGE with Expires: 0 means it will never be stale?

How do u inform the receiver that a message is stale?

/Hisham

> -----Original Message-----
> From: ext Sean Olson [mailto:[email-masked]]
> Sent: Monday, July 22, 2002 8:07 PM
> To: Ben Campbell; Vijay K. Gurbani
> Cc: Adam Roach; SIP LIST
> Subject: Re: [Sip] Re: [Simple] -05 MESSAGE and Expires header
> 
> 
> So we have three things we might want to 
> represent:
> 
> 1) Priority -- we use the Priority header for this
> 2) Timeliness of content -- we use Expires: header
>    for this
> 3) Urgency -- we don't currently have a way to 
>    represent this
> 
> Obviously 2 & 3 are related but not identical.
> The message doesn't have to be urgent in order
> for you to request immediate delivery. I think
> solving (2) is enough for now. It is the more
> interesting case for gateways and other
> intermediaries that have to decide between a 
> store-and-forward or immediate delivery approach.
> In other words, stick with what we have today in
> the draft.
> 
> /sean
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Health - Feel better, live better
> http://health.yahoo.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Sean Olson <[email-masked]>
Date: Mon, 22 Jul 2002 23:39:06 -0700 (PDT)

I fail to see why Expires: 0 means the message
will never expire. How does 0 equate to infinity?

An Expires: 0 from the sender, in my opinion,
should indicate that this message should be delivered
immediately or not at all. I don't think it should
be used for the sender (or gateway or proxy) to
indicate that a message is "stale".

By stale,
I assume you mean a message that was intended for
immediate delivery, but was actually stored instead
-- this is not something existing SIP headers do a
good job of representing. I wouldn't try to hack
Expires: to fit this. Furthermore, I don't think
this is a problem that the message draft should have
to solve. Until someone comes up with a more complete
draft for offline message retrieval, I think we can
punt this. Or is that what you were offering to do?

--- [email-masked] wrote:
> So, a MESSAGE with Expires: 10 means it has 10
> seconds before it's stale while a MESSAGE with
> Expires: 0 means it will never be stale?
> 
> > Sip mailing list 
> https://www1.ietf.org/mailman/listinfo/sip

---

From: Sean Olson <[email-masked]>
Date: Mon, 22 Jul 2002 23:39:13 -0700 (PDT)

By stale,

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 23 Jul 2002 10:38:56 -0500

> indicate that a message is "stale".

Staleness is what 'Expires: 0' currently implies for REGISTER
and SUBSCRIBE.  And I realize that I am fighting a loosing battle,
but for all it is worth, it will be good to accord only that semantic
to 'Expires: 0', and no more.

Now, before everyone flames me, I do realize that the MESSAGE I-D does
not allow for this behavior, nor are there any requirements in
section 5.4 of RFC 2779 to that effect.  But there have been many
times when I have sent an email which I wish I could retract.  If
in the future we want to do the same for stored IMs (i.e. ones that
elicited a 202 response), we will not be able to use 'Expires: 0' for
this purpose.

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Wireless Networks Group/Internet Software and Services
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216

---

From: Sean Olson <[email-masked]>
Date: Tue, 23 Jul 2002 09:44:58 -0700 (PDT)

I'm not necessarily disagreeing with you.
I think the problem is that people have different
notions of what "stale" means for a MESSAGE request.
Does stale simply mean the message is old or does
it imply that the message is invalid in some sense?
Would you render a "stale" MESSAGE to the user or
should the User Agent drop it on the floor?

I don't see how "Expires: 0" could be used to
retract an instant message. My interpretation
of "Expires: 0" is that if it hit an intermediary
which could not immediately deliver the MESSAGE
to the appropriate destination, it would not store
the MESSAGE and return a 202, rather it would 
return something like a 480 response.

/sean

--- "Vijay K. Gurbani" <[email-masked]> wrote:
> Vijay K. Gurbani 
> vkg@{lucent.com,research.bell-labs.com,acm.org}

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 23 Jul 2002 14:44:52 -0500

Sean Olson wrote:
[...]
  > retract an instant message.

It can't right now; and there aren't any requirements for it
either.  However, by using 'Expires: 0' to mean immediate delivery
now, we may be closing the door on using it for retraction in the
future.  I am of the opinion that there is another header which can
provide immediate delivery (maybe not a best fit, but all the same, an
alternative to overloading 'Expires: 0').

Thanks,

- vijay